.menu-icon {
    margin-left: auto;
    width: 30px;
    height: 25px;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.menu-icon span {
    display: block;
    height: 4px;
    background: #777777;
    border-radius: 2px;
}

.overlay-menu {
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    background-color: rgba(0, 0, 0, 0.9);
    color: #888888;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.4s ease;
    z-index: 1000;
}

.overlay-menu.visible {
    visibility: visible;
}

.overlay-menu.show {
    opacity: 1;
}

.overlay-menu.hide {
    opacity: 0;
}

.overlay-menu a {
    color: white;
    text-decoration: none;
    font-size: 24px;
    margin: 15px 0;
}

.close-btn {
    position: absolute;
    top: 20px;
    right: 30px;
    font-size: 36px;
    cursor: pointer;
}
